import request from '@/utils/request'

export function getHarmlessPage(data) {
  return request({
    url: '/js-store/page',
    method: 'get',
    params: data
  })
}

export function getHarmlessList(data) {
  return request({
    url: '/js-store/list',
    method: 'post',
    data: data
  })
}

export function getHarmlessDetail(data) {
  return  request({
    url: '/js-store/listById',
    method: 'post',
    data: data
  })
}

export function addHarmlessPage(data) {
  return request({
    url: '/js-store/add',
    method: 'post',
    data: data
  })
}

export function editHarmlessPage(data) {
  return request({
    url: '/js-store/edit',
    method: 'post',
    data: data
  })
}

export function delHarmlessPage(data) {
  return request({
    url: '/js-store/delete',
    method: 'post',
    data: data
  })
}
